#ifndef OPTS_H
#define OPTS_H

#define STRCAT_STR_USAGE( dest, maxlen_dst ) \
    strncat( dest, "Usage : " , maxlen_dst ); \
    strncat( dest, argv[0], maxlen_dst ); \
    strncat( dest, " {options}\n" , maxlen_dst ); \
    strncat( dest, str_help, maxlen_dst )

static char str_help[] =
    "Options :\n"
    "--in {nom fichier entrée}\n"
    "    Nom du fichier texte labyrinthe qui doit être lu\n"
    "--out {nom fichier sortie}\n"
    "    Nom du fichier de sortie\n"
    "--append\n"
    "    Ne pas créer le fichier destination,\n"
    "    mais plutôt y ajouter le résultat à la fin.\n"
    "--silent\n"
    "    N'afficher aucun message,\n" "    sauf si erreur critique.\n";

extern char *get_str_help();
extern int valide_opts(int argc, char *argv[], unsigned char *help,
                       unsigned char *silent_mode,
                       char *nom_fichier_entree,
                       int maxlen_nom_fichier_entree,
                       char *nom_fichier_sortie,
                       int maxlen_nom_fichier_sortie,
                       unsigned char *rewrite_fichier_sortie,
                       char *buffer_erreur, int maxlen_erreur);

#endif                          /* OPTS_H */
